Bug 1273949 - [abrt] libreoffice-core: ScDocument::GetPool(): soffice.bin killed by SIGSEGV
[abrt] libreoffice-core: ScDocument::GetPool(): soffice.bin killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:79cdddee6991d33f14fe4c7e10a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-21 10:45 EDT by Lee Dedear
Modified: 2016-05-23 16:57 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-10 12:37:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (53.60 KB, text/plain)
2015-10-21 10:45 EDT, Lee Dedear
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-21 10:45 EDT, Lee Dedear
no flags Details
File: core_backtrace (23.52 KB, text/plain)
2015-10-21 10:45 EDT, Lee Dedear
no flags Details
File: dso_list (27.81 KB, text/plain)
2015-10-21 10:45 EDT, Lee Dedear
no flags Details
File: environ (2.08 KB, text/plain)
2015-10-21 10:45 EDT, Lee Dedear
no flags Details
File: exploitable (82 bytes, text/plain)
2015-10-21 10:45 EDT, Lee Dedear
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-21 10:45 EDT, Lee Dedear
no flags Details
File: maps (128.37 KB, text/plain)
2015-10-21 10:45 EDT, Lee Dedear
no flags Details
File: open_fds (4.64 KB, text/plain)
2015-10-21 10:45 EDT, Lee Dedear
no flags Details
File: proc_pid_status (1020 bytes, text/plain)
2015-10-21 10:45 EDT, Lee Dedear
no flags Details

  None (edit)
Description Lee Dedear 2015-10-21 10:45:38 EDT
Description of problem:
The crash occurred when I pasted some text into a cell using ctrl-v.

Version-Release number of selected component:
libreoffice-core-4.3.7.2-9.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer file:///run/media/ldedear/Pers_Flash/My%20Documents/Westover/Summit/Summit%202015-09-20%20order.docx --splash-pipe=5
crash_function: ScDocument::GetPool
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         4.1.7-100.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ScDocument::GetPool at /usr/src/debug/libreoffice-4.3.7.2/sc/source/core/data/document.cxx:5652
 #1 ScFormulaCell::ScFormulaCell at /usr/src/debug/libreoffice-4.3.7.2/sc/source/core/data/formulacell.cxx:762
 #2 ScColorScaleEntry::ScColorScaleEntry at /usr/src/debug/libreoffice-4.3.7.2/sc/source/core/data/colorscale.cxx:178
 #3 ScColorScaleFormat::ScColorScaleFormat at /usr/src/debug/libreoffice-4.3.7.2/sc/source/core/data/colorscale.cxx:318
 #4 ScColorScaleFormat::Clone at /usr/src/debug/libreoffice-4.3.7.2/sc/source/core/data/colorscale.cxx:324
 #5 ScConditionalFormat::Clone at /usr/src/debug/libreoffice-4.3.7.2/sc/source/core/data/conditio.cxx:1838
 #6 ScConditionalFormatList::ScConditionalFormatList at /usr/src/debug/libreoffice-4.3.7.2/sc/source/core/data/conditio.cxx:2166
 #7 ScCondFormatManagerDlg::ScCondFormatManagerDlg at /usr/src/debug/libreoffice-4.3.7.2/sc/source/ui/condformat/condformatmgr.cxx:155
 #8 ScAbstractDialogFactory_Impl::CreateScCondFormatMgrDlg at /usr/src/debug/libreoffice-4.3.7.2/sc/source/ui/attrdlg/scdlgfact.cxx:646
 #9 ScCellShell::ExecuteEdit at /usr/src/debug/libreoffice-4.3.7.2/sc/source/ui/view/cellsh1.cxx:1967
Comment 1 Lee Dedear 2015-10-21 10:45:43 EDT
Created attachment 1085184 [details]
File: backtrace
Comment 2 Lee Dedear 2015-10-21 10:45:44 EDT
Created attachment 1085185 [details]
File: cgroup
Comment 3 Lee Dedear 2015-10-21 10:45:46 EDT
Created attachment 1085186 [details]
File: core_backtrace
Comment 4 Lee Dedear 2015-10-21 10:45:47 EDT
Created attachment 1085187 [details]
File: dso_list
Comment 5 Lee Dedear 2015-10-21 10:45:48 EDT
Created attachment 1085188 [details]
File: environ
Comment 6 Lee Dedear 2015-10-21 10:45:49 EDT
Created attachment 1085189 [details]
File: exploitable
Comment 7 Lee Dedear 2015-10-21 10:45:50 EDT
Created attachment 1085190 [details]
File: limits
Comment 8 Lee Dedear 2015-10-21 10:45:52 EDT
Created attachment 1085191 [details]
File: maps
Comment 9 Lee Dedear 2015-10-21 10:45:53 EDT
Created attachment 1085192 [details]
File: open_fds
Comment 10 Lee Dedear 2015-10-21 10:45:54 EDT
Created attachment 1085193 [details]
File: proc_pid_status
Comment 11 David Tardon 2015-10-22 03:00:28 EDT
The stack trace is from opening conditional format dialog, not pasting a cell... Can you reproduce the crash?
Comment 12 Fedora End Of Life 2015-11-04 05:04:14 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Lee Dedear 2015-11-10 11:08:31 EST
(In reply to David Tardon from comment #11)
> The stack trace is from opening conditional format dialog, not pasting a
> cell... Can you reproduce the crash?

Sorry, I replied to the notification email a few days ago, which didn't create a new comment here. Learning how to do this...

I have not been able to reproduce the problem. I had been copying and pasting several cells that contained conditional formatting, but since then have had no other problems with that sheet.

When another problem triggers the prompt asking me whether I want to report it, I probably should wait until it happens again and be sure it's consistently repeatable before saying "yes" to reporting it. I know it's hard to fix something that won't stay broken. Thanks.

Note You need to log in before you can comment on or make changes to this bug.